Bug 473280 - qpid/sys/AtomicCount is using mutex fallback on i686.
qpid/sys/AtomicCount is using mutex fallback on i686.
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
low Severity low
: 1.3
: ---
Assigned To: Ted Ross
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 09:05 EST by Alan Conway
Modified: 2010-05-03 10:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 10:24:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-11-27 09:05:57 EST
Description of problem:

qpid/sys/AtomoicCount is compiling the mutex fallback rather than the gcc atomics version with fc9 on an i686. The test looks to be too strict, compare with similar test in boost-1.34 /usr/include/boost/detail/atomic_count.hpp

This may affect performance on i686 platform.
Comment 2 Ted Ross 2010-04-26 14:55:40 EDT
Is this bug still relevant?  AtomicCount.h uses boost::detail::atomic_count.
Comment 3 Alan Conway 2010-05-03 10:24:14 EDT
No longer relevant as per preceeding comment.

Note You need to log in before you can comment on or make changes to this bug.